\documentclass{article}
\usepackage{fullpage}
\usepackage{longtable}
\usepackage{calc,ifthen}
\usepackage{graphics,graphicx}

%BEGIN LATEX
\usepackage{moreverb}
%END LATEX

%BEGIN LATEX
\newsavebox{\picbox}
\newlength{\lx}
\newlength{\ly}

\newcommand{\mygraphic}[1]{%
\sbox{\picbox}{\includegraphics{#1.ps}}
\settowidth{\lx}{\usebox{\picbox}}
\settoheight{\ly}{\usebox{\picbox}}
\setlength{\lx}{\lx*\real{0.750000}}
\setlength{\ly}{\ly*\real{0.750000}}
\ifthenelse{\lengthtest{\lx>100mm}}{\setlength{\lx}{100mm}}{}
\ifthenelse{\lengthtest{\ly>150mm}}{\setlength{\ly}{150mm}}{}
\includegraphics[keepaspectratio,width=\lx,height=\ly]{#1.ps}}

\newcommand{\mymath}[1]{\[#1\]}
%END LATEX

\newcommand{\commentsares}{%
The two SAREs to be compared are given below. Note that this is not
a mere pretty-print of the SAREs given by the user. The pretty-printing
occurs after some processing such as computation of equation domains,
control of inputs and outputs and so on. Hence it is not a waste of time
to take a look at this data.}

\newcommand{\commentgraphs}{%
The graphs of this section are the graphs build according to our algorithm
and are the key stone of the comparison process. The nodes have a name of
the form $x_i$ and are labeled by boolean expressions which instances are to
be proved to insure the global equivalence. The relations $R_j$ on the edges
give the constraints on the node boolean expressions subscripts, they also
give the transformations from the subscripts of the source node to the
subscripts of the target node. These relations are explicited in the
sequel of this report. The nodes with a double circle shape are the leaves
of the graph. We draw a red double circle for failure nodes and a green double
circle for success node. The color of the text into a leaf node is important:
red for a node pointing out a difference between the SAREs, green otherwise.
The important thing to know is that a failure leaf only lead to difference
between SAREs if its relation is not void and that a success leaf may also
point out a difference if its relation does not imply equality between
the left and right subscripts of the corresponding inputs.}

\newcommand{\commentsystem}{%
The system of equations below give for each node the relation which bounds
the outputs subscripts and the node subscripts. This system is purely 
symbolic: the relations are designated by their names. The operator {\tt .}
represents the composition of relations and the operator {\tt +} represents
the union between relations. To speed-up resolution and simplify the results
this system is split into strongly connected sub-systems $S_i$.}

\newcommand{\commentsolution}{%
This is the solution of the previous system. The resolution use a
home-made heuristic to minimize the size of the solution.}

\newcommand{\commentedgerel}{%
There is the list of the value of the relations of the previous 
equivalence graphs. We use the Omega library to represent them.
Note that each relation mix constraints and transformations from
the left and right SAREs subscripts:
indices with $i$ basename come from the left SARE subscripts while
indices with $j$ basename come from the right SARE subscripts. The primed
variables denote indices of the target node and plain variables the
indices of the source node.}

\newcommand{\commentleafrel}{%
The leaves relations are computed by using the solutions of the symbolic system
and the Omega library to compose and compute union of relations. Each relation
must be examined under a special constraint on its input subscript. This
constraint is that subscripts from the left and the right SAREs must be
equal (i.e. $i_1=j_1$ for a relation with 2-dimensional input). This relate
with the fact that {\em corresponding} outputs of the SAREs must be equivalent.
For the SAREs to be equivalent the relations corresponding to failure leaves
must be void (under the constraint above) and the relations corresponding to
success leaves must lead to the equality of primed subscripts (i.e.
$i'_1=j'_1$ for a relation with 2-dimensional output).}

\title{Execution report}
\author{}

\begin{document}

\maketitle

INCLUDE

\end{document}
